#ifndef wenserver_H
#define wenserver_H
#define ESP32
#ifdef ESP32

#include "WebServer.h"
#include "WiFi.h"
#include "Arduino.h"
#include "SPIFFS.h"
#define ESPWebServer WebServer
#elif
#include <ESP8266WebServer.h>
#include <ESP8266WiFi.h>
#define ESPWebServer ESP8266WebServer
#endif
#include <FS.h>

class webserver
{
private:

public:
    webserver(HardwareSerial *serial);
    webserver();
    void initme();
    HardwareSerial *serialmy;
    ~webserver();
    static void handleUserRequet();
    static bool handleFileRead(String path);
    static String getContentType(String filename);
    void loop();
    void printn(String str);
    ESPWebServer *server;
};

#endif


